Subject: Re: rfc 822 again !

From: Francois Donze <[email-masked]>
Date: Thu, 2 Dec 1993 14:50:59 +0100 (French Winter)

Thanks for the tip. However I will need to hack deeper since mails I 
receice are usually something like:

frmrc::frgway::decprg::a1::markus.jiri

This means that the mail went thru several DECNET gateways. The result is 
a wonderful segmentation fault !.

Anyways, thank you, 

/francois
------------------------------------------------------------------------------
Digital Equipment SARL		|			   |
950 Route des Colles - BP 027	|      Francois Donze	   |
06901 SOPHIA ANTIPOLIS		|--------------------------|francois donze@VBO
	FRANCE			|			   |  ULYSSE::DONZE
 Tel: (33) 92.95.54.81 		|E-mail: [email-masked] |  DTN: 828-5481
 Fax: (33) 92.95.62.34		|			   |
------------------------------------------------------------------------------

On Wed, 1 Dec 1993 sutra(null) wrote:

> On Wed, 1 Dec 1993, Francois Donze wrote:
> 
> > Now, in 3.88 when I receive a mail from decnetnode::user, the notification 
> > bottom line is decnetnode@(null). Thus I don't know who is the sender.
> 
> I've made the following changes to pine3.88/imap/non-ANSI/c-client/rfc822.c
> to allow our local Ultrix users to reply to mail from DECnet nodes.
> 
> Earl Fogel
> Computing Services              phone: (306) 966-4861
> University of Saskatchewan      email: [email-masked]
> --
> 
> % diff rfc822.c.orig rfc822.c
> 790c790
> <   char *p,*s;
> ---
> >   char *p,*p1,*s;
> 798a799,816
> > #ifndef STRICT_RFC822
> >     /*
> >      * convert host::user (DECnet address) to user@host
> >      */
> >     if ( (p1 = rfc822_parse_phrase (string)) && *p1 == ':' && *(p1+1) == ':') {
> >         *p1 = '\0';
> >         strcpy(tmp, string);
> >         p1 += 2;
> >         while (*p1)
> >             *p++ = *p1++;
> >         *p++ = '@';
> >         p1 = tmp;
> >         while (*p1)
> >             *p++ = *p1++;
> >         *p++ = ' ';
> > 	p = string;
> >     }
> > #endif
> 
> % ====== Internet headers and postmarks (see DECWRL::GATEWAY.DOC) ======
> % Received: by vbormc.vbo.dec.com; id AA03041; Wed, 1 Dec 93 19:17:05 +0100
> % Received: by mts-gw.pa.dec.com; id AA14841; Wed, 1 Dec 93 10:10:00 -0800
> % Received: by mx2.cac.washington.edu (5.65/UW-NDC Revision: 2.28 ) id AA27030; Wed, 1 Dec 93 09:24:02 -080
> % Errors-To: [email-masked]
> % Sender: [email-masked]
> % Received: from herald.usask.ca by mx2.cac.washington.edu (5.65/UW-NDC Revision: 2.28 ) id AA27024; Wed, 1 Dec 93 09:23:54 -080
> % Received: by herald.usask.ca (5.65/DEC-Ultrix/4.3) id AA22997; Wed, 1 Dec 1993 11:23:16 -0600 for [email-masked]
> % Date: Wed, 1 Dec 1993 11:23:16 -0600 (CST)
> % From: Earl Fogel <[email-masked]>
> % Subject: Re: rfc 822 again !
> % To: Francois Donze <[email-masked]>
> % Cc: Info Pine <[email-masked]>
> % In-Reply-To: <[email-masked]>
> % Message-Id: <[email-masked]>
> % Mime-Version: 1.0
> % Content-Type: TEXT/PLAIN; charset=US-ASCII
>